> For the complete documentation index, see [llms.txt](https://docs.unskript.com/unskript-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.unskript.com/unskript-documentation/connnecting/connectors/ssh/action_ssh.md).

# SSH Actions

* [Get AWS EC2 with low available disk size](https://github.com/unskript/Awesome-CloudOps-Automation/SSH/legos/ssh_get_ec2_instances_with_low_available_disk_size/README.md) : This action retrieves the public IP's of AWS EC2 instances that have low available disk space.
* [Get AWS EC2 with low free memory size](https://github.com/unskript/Awesome-CloudOps-Automation/SSH/legos/ssh_get_ec2_instances_with_low_memory_size/README.md) : This action uses SSH to identify AWS EC2 instances with low available memory.
* [Get SSH handle](https://github.com/unskript/Awesome-CloudOps-Automation/SSH/legos/ssh_get_handle/README.md) : Get SSH handle
* [SCP: Remote file transfer over SSH](https://github.com/unskript/Awesome-CloudOps-Automation/SSH/legos/ssh_scp/README.md) : Copy files from or to remote host. Files are copied over SCP.
* [SSH Execute Remote Command](https://github.com/unskript/Awesome-CloudOps-Automation/SSH/legos/ssh_execute_remote_command/README.md) : SSH Execute Remote Command
* [SSH Restart Service Using sysctl](https://github.com/unskript/Awesome-CloudOps-Automation/SSH/legos/ssh_restart_service_using_sysctl/README.md) : SSH Restart Service Using sysctl
* [SSH: Locate large files on host](https://github.com/unskript/Awesome-CloudOps-Automation/SSH/legos/ssh_find_large_files/README.md) : This action scans the file system on a given host and returns a dict of large files. The command used to perform the scan is "find inspect\_folder -type f -exec du -sk '{}' + | sort -rh | head -n count"


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.unskript.com/unskript-documentation/connnecting/connectors/ssh/action_ssh.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
